f5sdk.bigip.extension.extension_do module¶
Python module containing Declarative Onboarding Client
-
class
f5sdk.bigip.extension.extension_do.DOClient(client, **kwargs)¶ DO client
-
component¶ the extension component
- Type
str
-
version¶ the extension component version
- Type
str
-
package¶ Package (see PackageClient for more details)
-
service¶ Service (see DOServiceClient for more details)
-
-
class
f5sdk.bigip.extension.extension_do.DOServiceClient(client, component, version, metadata_client, **kwargs)¶ DO service client
-
component¶ the extension component
- Type
str
-
version¶ the extension component version
- Type
str
-
create(**kwargs)¶ Creates (or updates) extension component service
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
config (dict) – a dictionary containing configuration
config_file (str) – a local file containing configuration to load
- Returns
the response to a service create
- Return type
dict
-
is_available()¶ Checks extension component service is available
Notes
Retries up to 60 seconds
- Parameters
None –
- Returns
a boolean based on service availability
- Return type
bool
-
show()¶ Gets (shows) the extension component service
- Parameters
None –
- Returns
the response to a service get
- Return type
dict
-
show_info()¶ Show component extension info
- Parameters
None –
- Returns
the API response to a service info get
- Return type
dict
-
show_inspect(**kwargs)¶ Performs a show inspect operation
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
query_parameters (dict) – optional query parameters to include
- Returns
the API response
- Return type
dict
-